import StateHandler from '@/Engine/StateMahines/StateHandler';
import SysPage from '@/Frameworks/SysPage';
import { PAGE_KEY } from '@/Project/constants';
import { FuncMainState } from '../FuncMain';

export default class AppPlatformHandle implements StateHandler<FuncMainState> {
  stateIn(): void {
    SysPage.add(PAGE_KEY.Access);
  }
  stateRunning(): FuncMainState {
    return FuncMainState.Login;
  }
  stateExit(): void {
    SysPage.removeByKey(PAGE_KEY.Access);
  }
}
